export APP_ROOT=$(pwd)
export PUBLIC_PORT=80
export SECURE_PORT=88
set-window-title $(basename $APP_ROOT):${PUBLIC_PORT}/${SECURE_PORT}

export DOCKER_WRAPPER_RC=$APP_ROOT/.docker-wrapper.sh

export PUBLIC_APP_PORT=10680
export SECURE_APP_PORT=10688

# api
export PORT=10690
export DOMAIN=$USER.dev.getto.systems
export ORIGIN=https://dev-example-ui.$DOMAIN
export CLOUDFRONT_RESOURCE='https://secure.example.getto.systems/*'

export SECRET_TICKET_PRIVATE_KEY=$(cat ./.secret/ec384-key-pair.pkcs8.pem)
export SECRET_TICKET_PUBLIC_KEY=$(cat ./.secret/ec384-key-pair.pub.pem)

export SECRET_API_PRIVATE_KEY=$(cat ./.secret/ec384-key-pair.pkcs8.pem)
export SECRET_API_PUBLIC_KEY=$(cat ./.secret/ec384-key-pair.pub.pem)

export SECRET_CLOUDFRONT_PRIVATE_KEY=$(cat ./.secret/cloudfront-pk.pem)
export SECRET_CLOUDFRONT_KEY_PAIR_ID=KEY-PAIR-ID

# ui
export API_SERVER_URL=https://dev-example-api.$USER.dev.getto.systems
export SECURE_SERVER_URL=https://dev-example-secure.$USER.dev.getto.systems
